Imports EDSL.Entities
Imports EDSL.DAL
Public Partial Class Catalogue
  Inherits BasePage
  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objMainCategory As New dbMainCategory
        Dim objMainPageEntity As New entmainCategory

        objMainPageEntity = objMainCategory.GetItem(Convert.ToInt32(Request.QueryString("catid")))
        With objMainPageEntity
            Me.MetaTitle = .CategoryName
            Me.MetaName = "Description"
            If .CategorySummary <> "" Then
                Me.MetaContent = .CategorySummary.Replace("<p>", "").Replace("</p>", "")
            End If

        End With
 End Sub
End Class
